ZapytanieBetaQuery.paper
One paper by its identifier; null when there is no such paper.
| Wymagany zakres | warehouse:read |
|---|---|
| Dostępne od | Prynt 0.28.0 |
| Stabilność | Beta (co to znaczy) |
Argumenty
| Nazwa | Typ | Opis |
|---|---|---|
idwymagane | ID! | Identifier of the paper. |
Zwraca
Przykład
query Paper($id: ID!) { paper(id: $id) { id code name quantitySheets fscQuantitySheets pricePerSheet currency supplierId updatedAt }}{ "id": "3f6b2a1c-8d4e-4f5a-9b6c-1d2e3f4a5b01"}curl -sS https://twoja-drukarnia.prynt.pl/api/v1/graphql \ -H "Authorization: Bearer $PRYNT_API_KEY" \ -H "Content-Type: application/json" \ --data-binary @- <<'JSON'{ "query": "query Paper($id: ID!) {\n paper(id: $id) {\n id\n code\n name\n quantitySheets\n fscQuantitySheets\n pricePerSheet\n currency\n supplierId\n updatedAt\n }\n}", "variables": { "id": "3f6b2a1c-8d4e-4f5a-9b6c-1d2e3f4a5b01" }}JSON{ "data": { "paper": { "id": "3f6b2a1c-8d4e-4f5a-9b6c-1d2e3f4a5b01", "code": "PA-12", "name": "Kreda mat 130g", "quantitySheets": 800, "fscQuantitySheets": 0, "pricePerSheet": 0.42, "currency": "PLN", "supplierId": "3f6b2a1c-8d4e-4f5a-9b6c-1d2e3f4a5b06", "updatedAt": "2026-10-05T07:41:12.004Z" } }}